Introduzione

HP Driver Deployment Utility (DDU) consente all'amministratore di creare un pacchetto di installazione del driver per l'installazione in automatico da parte degli utenti finali. Questa utility supporta l'aggiunta di driver di stampa all'archivio dei driver di Windows e la creazione di voci nella cartella Stampanti. Driver Deployment Utility supporta i driver di stampa utilizzabili con Installazione guidata stampante di Microsoft. Si applicano tutte le limitazioni e gli avvisi della certificazione Microsoft.

L'interfaccia utente è suddivisa in tre sezioni:

  1. "Origine pacchetto" descrive il tipo di pacchetto e la posizione del driver che si desidera creare
  2. "Destinazione pacchetto" identifica il nome e la posizione del pacchetto di installazione
  3. "Creazione pacchetto" avvia il processo di creazione del pacchetto


Origine pacchetto

Directory del driver

Utilizzare il pulsante "Seleziona driver…" per selezionare un file .inf nella directory del driver, effettuandone la ricerca o digitandone il nome. Questa directory deve contenere solo un pacchetto di driver poiché questa utility assembla tutti i file trovati nella directory (e sottodirectory) nell'eseguibile. Se è stato scaricato un pacchetto di driver compresso, è necessario espanderlo prima di utilizzare la utility.

In alcuni casi, è possibile avere più file .inf di driver nella directory (ad esempio uno per stampanti a colori, un altro per quelle in bianco e nero). In tal caso, una finestra di dialogo aggiuntiva consente di selezionare il driver da assemblare.

Se la directory è di grandi dimensioni, viene visualizzato un messaggio di avvertenza. Ciò serve a evitare di assemblare più di un driver. A questo punto è possibile continuare se la directory contiene tutti i file desiderati o necessari.

Una volta selezionata la directory e individuato un driver, vengono visualizzate la directory e le informazioni relative al driver.

Per i driver che supportano la preconfigurazione, sarà abilitata la relativa casella di controllo. Quindi, sarà eseguita una finestra di dialogo di configurazione dopo avere selezionato il pulsante "Creazione pacchetto".

Tipo di installazione

"Precaricamento del driver" è l'opzione da selezionare per gli utenti che utilizzano una connessione diretta, come un cavo USB. Un evento futuro Plug and Play sarà necessario per installare il driver, ma tutti i file saranno installati nell'archivio dei driver di Windows da questo pacchetto per utilizzi futuri. NOTA: se per una periferica sono disponibili più driver, il driver più adeguato per un evento "Plug and Play" verrà determinato dal sistema operativo, oppure verrà visualizzata una finestra per la selezione del driver.

Per impostazione predefinita, l'eseguibile visualizza una finestra di dialogo sullo stato di avanzamento. Per disattivarla, lanciare l'eseguibile con una riga di comando "/q". Se si desidera richiedere all'utente finale di collegare la stampante al termine dell'installazione, selezionare la casella di controllo "Mostra comando per collegare la stampante".

Per le stampanti che utilizzano una connessione di rete, selezionare l'opzione "Crea la porta di rete e installa il driver". Il pulsante "Impostazioni di rete" sarà abilitato; selezionarlo per immettere le impostazioni di rete necessarie.

Impostazioni di rete:

È necessario identificare la stampante di rete mediante uno o più dei seguenti metodi. Questa utility non comunica con il dispositivo per determinare la validità dell'impostazione ma effettua il controllo della sintassi (per abilitare la nuova individuazione della periferica, accertarsi che sia specificato l'indirizzo hardware).

Indirizzo IP:

Inserire l'indirizzo IPv4 o IPv6 della stampante

Indirizzo hardware:

Inserire l'indirizzo hardware della stampante

Nome host:

Inserire il nome host della stampante

Le seguenti impostazioni di rete sono aggiuntive. È possibile accettare i valori predefiniti preimmessi o modificarli.

Nome porta:

Si tratta del nome della porta di rete creata. Se il nome è già esistente, sarà aggiunto un numero per renderlo univoco.

Nome stampante:

Si tratta del nome della stampante che viene visualizzato nella cartella Stampanti. Se il nome è già esistente, sarà aggiunto un numero per renderlo univoco.

Imposta stampante come predefinita:

L'opzione Sì rende la stampante predefinita quando la stampa viene avviata da altre applicazioni.

L'opzione No mantiene l'impostazione predefinita attuale, a meno che questa non sia l'unica stampante installata.

Condividi stampante:

L'opzione Sì consente ad altri di utilizzare la stampante.

Condividi nome:

Nome condiviso della stampante. L'opzione è abilitata solo se "Condividi stampante" è impostata su Sì. Se il nome è già esistente, sarà aggiunto un numero per renderlo univoco.


Destinazione pacchetto

Selezionare il pulsante "Salva con nome…" per immettere il nome e il percorso per il pacchetto di output. La utility crea il pacchetto nella directory temporanea, quindi lo sposta in posizione finale. Il pacchetto conterrà 2 file da consegnare contemporaneamente: un file .exe e un file .cab.

Viene copiato nella posizione finale anche un file descrittivo .xml corrispondente contenente i dettagli del pacchetto. Il pacchetto xml è solo informativo e non viene utilizzato da DDU durante l'esecuzione.


Creazione pacchetto

Selezionare il pulsante "Creazione pacchetto" una volta immesse tutte le informazioni di cui sopra. Il pulsante sarà disabilitato finché non vengono immesse le informazioni richieste. Una volta selezionati, saranno abilitati il pulsante "Annulla" e la barra di stato.

Per interrompere la creazione del pacchetto, selezionare il pulsante "Annulla".

L'eseguibile visualizza una finestra di dialogo sullo stato di avanzamento e, se richiesto, un prompt utente per una stampante a connessione diretta. Se si verifica un errore durante l'esecuzione, viene visualizzata una finestra di dialogo di errore. Per eliminare la finestra di dialogo di errore, selezionare la casella di controllo "Elimina tutti i messaggi di errore dell'utente finale".


Note aggiuntive:

Per chiudere l'applicazione utilizzare il pulsante di chiusura di Windows in alto a destra.


Sistemi operativi supportati

Microsoft Windows 2000

Microsoft Windows XP

Microsoft Windows XP 64-Bit Edition

Microsoft Windows Server 2003/2008

Microsoft Windows Server 2003/2008 64-Bit Edition

Microsoft Windows Vista

Microsoft Windows Vista (64 bit)


Opzioni della riga di comando

Il pacchetto dell'utente finale può essere modificato aggiungendo opzioni della riga di comando. Tali opzioni possono essere combinate se sono separate da spazi. Se la riga di comando contiene un errore, ad esempio un carattere non valido o una formattazione non corretta, viene visualizzato un messaggio di errore. Le opzioni della riga di comando non corrette vengono ignorate. La descrizione della riga di comando riportata di seguito è disponibile anche (in inglese) eseguendo il pacchetto dell'utente finale con la stringa di caratteri "/?".

I pacchetti precaricati supportano le seguenti opzioni della riga di comando:

/? visualizza le informazioni della riga di comando (solo inglese)

/q elimina la barra di stato

/p prompt utente per collegare la stampante

/s elimina i messaggi di errore dell'utente finale

I pacchetti delle stampanti in rete supportano le seguenti opzioni della riga di comando:

/? visualizza le informazioni della riga di comando (solo inglese)

/q elimina la barra di stato

/s elimina i messaggi di errore dell'utente finale

/ip <ip address> utilizza l'indirizzo IP specificato per identificare la stampante, ad esempio /ip 120.25.5.56

/hw <hardware address> utilizza l'indirizzo hardware specificato per identificare la stampante, ad esempio /hw 0001E6299128

/hn <hostname> utilizza il nome host specificato per identificare la stampante, ad esempio /hn Myhostname

Il nome host non può essere più lungo di 255 caratteri e può contenere solo i seguenti caratteri: A-Z, a-z, 0-9 e il trattino (-).

/pn <portname> utilizza il nome specificato come nome della porta, ad esempio /pn HPPort

Il nome della porta non può contenere spazi e non può essere più lungo di 128 caratteri.

/n "<printername>" utilizza il nome specificato come nome della stampante, ad esempio /n "HP LaserJet 8150"

Il nome della stampante deve essere inserito tra virgolette, non può essere più lungo di 40 caratteri e non può i seguenti caratteri speciali: ! # ,

/d imposta questa stampante come predefinita

/sn "<sharename>" attiva la condivisione e utilizza il nome specificato come nome di condivisione della stampante, ad esempio e.g. /sn "My shared HP LaserJet 8150"

Il nome della condivisione deve essere inserito tra virgolette, non può essere più lungo di 80 caratteri e non può i seguenti caratteri speciali: / \ : ; " ? * + = < > [ ]

© Copyright 2007-2008 Hewlett-Packard Development Company, L.P.